Sun Java System Application Server Platform Edition 8.1 2005Q2 Update 2 Reference Manual

## create-connector-connection-pool(1)

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

#### NAME

create-connector-connection-pool– adds a connecton pool with the specified connection pool name

#### SYNOPSIS

`create-connector-connection-pool` ––user admin_user [––passwordfile filename] [––host host_name] [––port port_number] [––secure|`–s`] [––terse=false] [––echo=false] [––interactive=true] [––help] [--steadypoolsize 8] [--maxpoolsize 32] [--maxwait 60000] [--poolresize 2] [--idletimeout 300] [--failconnection=false] --raname resource_adapter_name --connectiondefinition connection_definition_name [--transactionsupport transaction_support] [--description text] [`––property (name=value)[:name=value]*`] connector_connection_pool_name

#### DESCRIPTION

Adds a new connector connection pool with the specified connection pool name. This command is supported in remote mode only.

#### OPTIONS

`–u` `––user`

  The authorized domain application server administrative username.

`–w` `––password`

  The `––password` option is deprecated. Use `––passwordfile` instead.

`––passwordfile`

  This option replaces the `–– password` option. Using the `––password` option on the command line or through the environment is deprecated. The `––passwordfile` option specifies the name of a file containing the password entries in a specified format. The entry for the password must have the AS_ADMIN_ prefix followed by the password name in capital letters. For example, to specify the domain application server password, use an entry with the following format: `AS_ADMIN_PASSWORD`=password, where password is the actual administrator password. Other passwords that can be specified include AS_ADMIN_MAPPEDPASSWORD, AS_ADMIN_USERPASSWORD, AS_ADMIN_SAVEDMASTERPASSWORD, AS_ADMIN_MQPASSWORD, AS_ADMIN_ALIASPASSWORD, and so on.

`–H` `––host`

  The machine name where the domain application server is running. The default value is localhost.

`–p` `––port`

  The port number of the domain application server listening for administration requests. The default port number for Platform Edition is 4848. The default port number for Enterprise Edition is 4849.

`–s` `––secure`

  If set to true, uses SSL/TLS to communicate with the domain application server.

`–t` `––terse`

  Indicates that any output data must be very concise, typically avoiding human-friendly sentences and favoring well-formatted data for consumption by a script. Default is false.

`–e` `––echo`

  Setting to true will echo the command line statement on the standard output. Default is false.

`–I` `––interactive`

  If set to true (default), only the required password options are prompted.

`–h` `––help`

  Displays the help text for the command.

`––target`

  The target option is deprecated.

`––raname`

  The name of the resource adapter.

`––connectiondefinition`

  The name of the connection definition.

`––steadypoolsize`

  The minimum and initial number of connections maintained in the pool. The default value is 8.

`––maxpoolsize`

  The maximum number of connections that can be created to satisfy client requests. The default value is 32.

`––maxwaittime`

  The amount of time, in milliseconds, that a caller must wait before a connection is created, if a connection is not available. If set to 0, the caller is blocked indefinitely until a resource is available or until an error occurs. The default value is 60000.

`––poolresize`

  The number of connections to be destroyed if the existing number of connections is above the steady-pool-size (subject to the limit specified in the maxpoolsize option). Possible values are from 0 to MAX_INTEGER. The default value is 2.

`––idletimeout`

  The maximum time that a connection can remain idle in the pool. After this amount of time, the pool can close this connection. The default value is 300.

`––failconnection`

  If set to true, all connections in the pool are closed if a single validation check fails. This parameter is mandatory if the is-connection-validation-required is set to true. Legal values are `on`, `off`, `yes`, `no`, `1`, `0`, `true` or `false`. The default value is false.

`––transactionsupport`

  Indicates the level of transaction support that this pool will have. Possible values are `XATransaction`, `LocalTransaction` and `NoTransaction`. This attribut can support the resource adapter's transaction support attribue when the resource adapter's transaction support attribute is lower than or equal to but not higher than. The default value is true.

`––description`

  Text providing descriptive details about the connector connection pool.

`––property`

  optional attribute name/value pairs for configuring the resource.

#### OPERANDS

connector_connection_pool_name

  the name of the connection pool name to be created.

#### EXAMPLES

##### Example 1 Using the create-connector-connection-pool command

    asadmin> create-connector-connection-pool
    --passwordfile passwordfile --steadypoolsize 20
    --maxpoolsize 100 --poolresize 2 --maxwait 60000 --raname jmsra
    --connectiondefinition javax.jms.QueueConnectionFactory jms/qConnPool
    Command create-connector-connection-pool executed successfully

Where jms/qConnPool is the name of the new connector connection pool.

#### EXIT STATUS

0

  command executed successfully

1

  error in executing the command

#### SEE ALSO

delete-connector-connection-pool(1), list-connector-connection-pools(1)

J2EE SDK 1.4 Last Revised 31 Jan 2005

NAME | SYNOPSIS | DESCRIPTION | OPTIONS | OPERANDS | EXAMPLES | EXIT STATUS | SEE ALSO

- © 2010, Oracle Corporation and/or its affiliates